Bug 524694 - It is problem to use Nokia mobile phone as modem
Summary: It is problem to use Nokia mobile phone as modem
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-21 18:32 UTC by Sergei LITVINENKO
Modified: 2010-12-04 07:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 07:40:30 UTC


Attachments (Terms of Use)

Description Sergei LITVINENKO 2009-09-21 18:32:29 UTC
Description of problem:
1. NetworkManager can not up mobile internet connection (work in F11)
2. Minicom can communicate with /dev/ttyACM0, but very unstable and freezes after several "AT" commands (work good on F11)
3. Simple script work on F11, but can not work on rawhide.
---
#! /bin/bash

cat /dev/ttyACM0 &
echo -e "ATZ\r" > /dev/ttyACM0;
let I=0
while [ $I -lt 256 ] ;
do
        echo -e "ATI${I}\r" > /dev/ttyACM0;
        let I=${I}+1
        sleep 1;
done
---

Version-Release number of selected component (if applicable):
[root@fedora12a ~]# uname -r
2.6.31-33.fc12.i686

[root@fedora12a ~]# rpm -qa | grep glibc
glibc-2.10.90-22.i686
glibc-common-2.10.90-22.i686
...


[root@fedora12a ~]# dmesg -c ; dmesg
---
usb 1-4: new high speed USB device using ehci_hcd and address 5
usb 1-4: New USB device found, idVendor=0421, idProduct=00e9
usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 1-4: Product: Nokia 5320 XpressMusic
usb 1-4: Manufacturer: Nokia
usb 1-4: SerialNumber: 354826022435515
usb 1-4: configuration #1 chosen from 1 choice
cdc_acm 1-4:1.0: ttyACM0: USB ACM device
usbcore: registered new interface driver cdc_acm
cdc_acm: v0.26:USB Abstract Control Model driver for USB modems and ISDN adapters
NET: Registered protocol family 35
usbcore: registered new interface driver cdc_phonet
usbcore: registered new interface driver cdc_ether
usb 1-4: bad CDC descriptors
usbcore: registered new interface driver rndis_host
cfg80211: Calling CRDA to update world regulatory domain
usb 1-4: bad CDC descriptors
usbcore: registered new interface driver rndis_wlan
cfg80211: World regulatory domain updated:
        (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
        (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
        (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
        (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
        (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
        (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
---

How reproducible:
100%

Steps to Reproduce:
1. Boot the system in runlevel 5
2. Connect mobile phone by USB cable (it is tested with Nokia 5320 XpressMusic).
3. Try to use it as modem (/dev/ttyACM0)
  
Actual results:
modem is partially accessible, but do not work OK. Application, which use it, can crash very quick.

Expected results:
Mobile internet is up and working

Additional info:

Mobile phone device info

ATI0
Nokia
OK

ATI1
354826022435515
OK

ATI2
V 08w35.08
28-11-08  
RM-409    
(c) Nokia 
OK

ATI3
Nokia 5320
OK

ATI4
ICPR71_08w35
OK

Comment 1 Sergei LITVINENKO 2009-09-25 13:06:45 UTC
after update kernel to 2.6.31-40.fc12.i686 all looks much better.
Dial-up by wvdial (ifup ppp0 / ifdown ppp0) work OK.

Minicom can communicate to /dev/ttyACM0 enough stable.

Comment 2 Bug Zapper 2009-11-16 12:43:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-11-04 09:53:44 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-12-04 07:40:30 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.